## expeyes 5.3.0+repack

=== eyes17/Makefile ===
DESTDIR =

all:
	# generate flags with translation progress status
	python3 language.py

install:

clean:
	# remove generated flags with status
	rm -f images/*.status.svg

=== microhope/Makefile ===
DESTDIR =
TGZFILE = /tmp/microhope.tgz

all:
	$(MAKE) -C uhope/po all

install: all
	# install the main command to launch microhope
	install -d $(DESTDIR)/usr/bin
	install -m 755 microhope.py $(DESTDIR)/usr/bin
	mv $(DESTDIR)/usr/bin/microhope.py $(DESTDIR)/usr/bin/microhope
	# install the localization
	$(MAKE) -C uhope/po install DESTDIR=$(DESTDIR)
	# install the pixmaps
	install -d $(DESTDIR)/usr/share/microhope/pixmaps
	install -m 644 pixmaps/* $(DESTDIR)/usr/share/microhope/pixmaps
	# install the python3 uhope library
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/uhope
	install -m 644 uhope/*.py $(DESTDIR)/usr/lib/python3/dist-packages/uhope
	python3 -m py_compile $(DESTDIR)/usr/lib/python3/dist-packages/uhope/*.py

uninstall:
	rm -f $(DESTDIR)/usr/bin/microhope
	rm -f $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/uhope.mo
	rm -rf $(DESTDIR)/usr/share/microhope
	rm -rf $(DESTDIR)/usr/lib/python3/dist-packages/uhope

clean:
	rm -f *.o *~ *.pyc uhope/*~
	find . -name "__pycache__" | xargs rm -rf

archive:
	tar czf $(TGZFILE) -C .. --exclude .gitignore --exclude __pycache__ --exclude "*~" microhope/Makefile microhope/microhope.py microhope/pixmaps microhope/uhope

.PHONY: all install uninstall clean archive

=== microhope/po/Makefile ===
DESTDIR = 

SRCFILES = ../uhope.c ../mh-ide.py
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG    = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

$(POFILES): messages.pot

%.mo: %.po
	msgfmt $< -o $@

messages.pot: $(SRCFILES)
	if [ -f $@ ]; then \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES) --join-existing; \
	else \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES); \
	fi

clean:
	rm -f *~ *.mo

$(POFILES): messages.pot
	msgmerge --update --previous $@ $<

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/uhope.mo; \
	done

.PHONY: all install clean

=== debian/changelog ===
expeyes (5.3.0+repack-3) unstable; urgency=medium

  * added Ceppo's Italian translation. Closes: #1032079
  * clean broken symlinks under eyesjunior/helpFiles. Closes: #986480

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 27 Feb 2023 19:34:03 +0100

expeyes (5.3.0+repack-2) unstable; urgency=medium

  * removed the dependency eyes17 => qt6-qpa-plugins. Closes: #1026955

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Dec 2022 18:36:08 +0100

expeyes (5.3.0+repack-1) unstable; urgency=medium

  * New upstream version 5.3.0+repack
  * merged changes in d/control proposed by Janitor
  * replaced http by https in homepage's URL as suggested by Janitor
  * added eyes17/blockly into the clause Files-Excluded because of non-free
    contents
  * patched blockcoding.py to show a warning message when the non-free
    package eyes17-blockly-plugin is missing, and one requests it.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 28 Nov 2022 17:25:08 +0100

expeyes (5.2.5+repack-1) unstable; urgency=medium

  * New upstream version 5.2.5+repack : fix the desktop file for eyes17-manuals

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Nov 2022 19:07:17 +0100

expeyes (5.2.4+repack-1) unstable; urgency=medium

  * fixed the install of eyes17's manuals
  * New upstream version 5.2.4+repack
  * fixed d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 19:19:22 +0100

expeyes (5.2.3+repack-1) UNRELEASED; urgency=medium

  * enforced python3 for expeyes and expeyes-junior
  * New upstream version 5.2.3+repack

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 18:02:21 +0100

expeyes (5.2.2+repack-2) unstable; urgency=medium

  * fixed an error in eyes17.install, about missing the file status.txt
    for languages.
  * added a build-depedndency: qttools5-dev-tools

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 10:53:49 +0100

expeyes (5.2.2+repack-1) unstable; urgency=medium

  * New upstream version 5.2.2+repack: no import of obsoleted USE_PYSIDE

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 10:19:44 +0100

expeyes (5.2.1+repack-1) unstable; urgency=medium

  * New upstream version 5.2.1+repack
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Oct 2022 18:05:21 +0200

expeyes (5.1.1+repack-2) unstable; urgency=medium

  * added python3-pygments as a build-dependency.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 12:45:12 +0200

=== debian/control ===
Source: expeyes
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13),
 python3-all,
 dh-python,
 python3-docutils,
 python3-pygments,
 pkg-config,
 wxglade,
 x11proto-randr-dev,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 qt5-qmake,
 img2pdf,
 locales,
Standards-Version: 4.6.1
Homepage: https://expeyes.in/
Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git

Package: expeyes
Architecture: all
Depends: python3,
 ${misc:Depends},
 ${python3:Depends},
 python3-expeyes (= ${source:Version}),
 python3-pil.imagetk,
 tix,  python3-tk, udev
Recommends: python3-numpy, python3-scipy,
 expeyes-web, qtiplot, python3-pygrace,
 expeyes-doc-en | expeyes-doc
Suggests: firm-phoenix-ware
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: eyes17
Architecture: all
Depends: python3,
 ${misc:Depends},
 ${python3:Depends},
 python3-pyqt6,
 python3-numpy,
 python3-scipy,
 python3-pyqt6.qtwebchannel,
 python3-pyqt6.qtwebengine,
 libqt6webenginecore6-bin,
 python3-pyqt6.qtsvg,
 python3-serial
Recommends: fonts-lohit-mlym,
 python3-pyqtgraph,
 libreoffice
Suggests:
 eyes17-manuals-en|eyes17-manuals
Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),
 python-expeyes (<< 4.5.8+dfsg-2),
 eyes17 (<< 4.5.8+dfsg-2)
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.


Package: libej0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides a library usable to drive an expEYES box, and is
 necessary to run clib-based software which addresses this box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: libej-dev
Architecture: any
Depends: ${misc:Depends},
 libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
Section: libdevel
Description: hardware & software framework for developing science experiments
 This package provides headers and links to develop software in C language
 addressing an expEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: expeyes-clib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides interfaces written in C language for making
 science experiments with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. This package provides approximately
 the same features than the package expeyes, but its sources are in C language.

Package: python3-expeyes
Section: python
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-scipy, python3-serial, udev
Conflicts: python-expeyes
Replaces: python-expeyes
Description: Python3 library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-web
Section: web
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes, libjs-jquery, libjs-bootstrap
Description: Web interface for expEYES-Junior
 This package allows you to access remotely to a server which drives an
 expEYES-Jr box. This extends the power of expEYES.

Package: microhope
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 gnome-icon-theme,
 python3-wxgtk4.0,
 python3-serial
Recommends: gnome-human-icon-theme,
 avr-libc,
 avrdude
Suggests: firm-phoenix-ware
Description: hardware & software framework to learn microcontrollers
 This package provides a set of example programs to drive an ATmega32
 microcontroller, together with a tutorqial explaining how to compile
 them, upload them to the microcontroller, and how to make simple and
 more complicated modifications. It is meant to be used with the
 "microhope" board which makes it easy to upload code to the microcontroller
 through a USB link.
 .
 In addition to examples there is a library to drive all of the peripherals
 available on the "microhope" board: LED, LCD display, ADC connected to
 sensors.
 .
 A Graphic User Interface is provided too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
export DEB_BUILD_HARDENING=1
#export CPPFLAGS="-Wdate-time -D_FORTIFY_SOURCE=2"

export QT_SELECT := 5

%:
	dh $@ --with python3

BUILD_DIR = $(CURDIR)/debian/build
override_dh_auto_build-arch:
	mkdir $(CURDIR)/debian/build
	$(MAKE) all_arch HOME=$(BUILD_DIR)
	# do not keep the .la file
	rm -f debian/tmp/usr/lib/libej.la

override_dh_auto_build-indep:
	$(MAKE) all_indep
	cd eyes17/helpFiles; $(MAKE) fixTheLinks; $(MAKE) userManual

override_dh_auto_clean:
	dh_auto_clean
	# the clean process compiles a few Python scripts
	find . -name __pycache__ | xargs rm -rf
	rm -rf $(BUILD_DIR)
	# remove broken symlinks which can be in the source
	find eyes17/helpFiles -xtype l | xargs rm -f
	find eyesjunior/helpFiles -xtype l | xargs rm -f

override_dh_auto_install-indep:
	make install_indep DESTDIR=$(CURDIR)/debian/tmp
	dh_auto_install -i
	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
	# prevents lintian error about PYCACHE
	find $(CURDIR)/debian/ -type d -name __pycache__| xargs rm -rf;

override_dh_auto_install-arch:
	make install_arch DESTDIR=$(CURDIR)/debian/tmp
	dh_auto_install -a

## expeyes 5.3.1+repack

=== po/Makefile ===
DESTDIR =
SOURCES = $(wildcard ../eyes/*.py ../expeyes/*.py ../eyesjunior/*.py ../microhope/create-microhope-env ../microhope/*.py)
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

%.mo: %.po
	msgfmt --output-file=$@ $<

$(POFILES): messages.pot
	for f in $(POFILES); do \
	  msgmerge --update --previous $$f messages.pot; \
	done

messages.pot: $(SOURCES)
	if [ -f $@ ]; then \
	  xgettext --output=$@  --language=python --join-existing --keyword=_ --add-location $(SOURCES); \
	else \
	  xgettext --output=$@  --language=python --keyword=_ --add-location $(SOURCES); \
	fi

clean:
	rm -f *.mo *~

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/expeyes.mo; \
	done

.PHONY: all clean install

=== debian/changelog ===
expeyes (5.3.1+repack-9) unstable; urgency=medium

  * fixed invalid escapes in pyton sources; Closes: #1085572
  * fixed non-parenthesized print functions

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Oct 2024 00:06:30 +0200

expeyes (5.3.1+repack-8) unstable; urgency=medium

  * new build-dependency: python3-setuptools. Closes: #1080947

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 17:03:01 +0200

expeyes (5.3.1+repack-7) UNRELEASED; urgency=medium

  * Fixed the missing semicolon after Closes

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Mar 2024 17:16:08 +0100

expeyes (5.3.1+repack-6) unstable; urgency=medium

  * added the build-dependency pyqt6-dev-tools; Closes: #1064682
  * bumped Standards-Version: 4.6.2
  * moved some dependencies to recommendations for eyes17 package

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 11:32:22 +0100

expeyes (5.3.1+repack-5) unstable; urgency=medium

  * removed autopkgtests for armel, ppc64el, s390x

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Feb 2024 11:11:55 +0100

expeyes (5.3.1+repack-4) unstable; urgency=medium

  * created some conditional dependencies for eyes17, on
    python3-pyqt6.qtwebengine [!armel, !ppc64el, !s390x]

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Feb 2024 19:30:40 +0100

expeyes (5.3.1+repack-3) unstable; urgency=medium

  * modified a Makefile to make the package reproducible upon rebuild
  * re-enable reprotest during CI

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 22:54:57 +0100

expeyes (5.3.1+repack-2) unstable; urgency=medium

  * improved the clean target. Closes: #1044720
  * added autopkgtests. Closes: #1035119 

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 18:01:54 +0100

expeyes (5.3.1+repack-1) unstable; urgency=medium

  * New upstream version 5.3.1+repack
    + use graphicsmagick instead of img2pdf to build PDF files for the manuals
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Nov 2023 11:56:07 +0100

expeyes (5.3.0+repack-5) UNRELEASED; urgency=medium

  * use graphicsmagick instead of img2pdf to build PDF files for the manuals

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Nov 2023 10:45:26 +0100

expeyes (5.3.0+repack-4) unstable; urgency=medium

  [Helmut Grohne]
  * Do not ship empty directories /{etc,lib}/udev/rules.d. Closes: #1041755
  [Georges Khaznadar]
  * got Helmut's changes, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 25 Jul 2023 10:50:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
  dh-python,
  python3-docutils,
  python3-pygments,
+ python3-setuptools,
  pkg-config,
  wxglade,
  x11proto-randr-dev,
  pyqt5-dev-tools,
  qttools5-dev-tools,
  qt5-qmake,
- img2pdf,
+ graphicsmagick,
  locales,
-Standards-Version: 4.6.1
+ pyqt6-dev-tools,
+Standards-Version: 4.6.2
 Homepage: https://expeyes.in/
 Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
 Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
@@ -54,14 +56,14 @@
  python3-pyqt6,
  python3-numpy,
  python3-scipy,
- python3-pyqt6.qtwebchannel,
- python3-pyqt6.qtwebengine,
- libqt6webenginecore6-bin,
  python3-pyqt6.qtsvg,
  python3-serial
 Recommends: fonts-lohit-mlym,
  python3-pyqtgraph,
- libreoffice
+ libreoffice,
+ python3-pyqt6.qtwebchannel,
+ python3-pyqt6.qtwebengine,
+ libqt6webenginecore6-bin,
 Suggests:
  eyes17-manuals-en|eyes17-manuals
 Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),

## expeyes 5.3.3%2Brepack

=== debian/control ===
--- 
+++ 
@@ -149,8 +149,12 @@
 Package: expeyes-web
 Section: web
 Architecture: all
-Depends: python3, ${misc:Depends}, ${python3:Depends},
- python3-expeyes, libjs-jquery, libjs-bootstrap
+Depends: python3,
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-expeyes,
+ libjs-jquery,
+ libjs-bootstrap5
 Description: Web interface for expEYES-Junior
  This package allows you to access remotely to a server which drives an
  expEYES-Jr box. This extends the power of expEYES.

## expeyes 5.3.3+repack

=== expeyes-web/Makefile ===
DESTDIR =
SHAREDIR = $(DESTDIR)/usr/share/expeyes-web
bsDir = $(SHAREDIR)/htdocs/js
all:

clean:

install:
	mkdir -p $(bsDir)
	for f in apache-expeyes-vhost.conf  cgi-bin; do \
	  cp -a $$f $(SHAREDIR); \
	done
	for f in css  images  index.php; do \
	  cp -a htdocs/$$f $(SHAREDIR)/htdocs; \
	done
	for f in  ie10-viewport-bug-workaround.js ie-emulation-modes-warning.js; do \
	  cp htdocs/js/$$f $(SHAREDIR)/htdocs/js; \
	done
	ln -s /usr/share/javascript/bootstrap5/js/bootstrap.js $(bsDir)
	ln -s /usr/share/javascript/bootstrap5/js/bootstrap.min.js $(bsDir)
	ln -s /usr/share/javascript/jquery/jquery.min.js $(bsDir)

=== debian/changelog ===
expeyes (5.3.3+repack-3) unstable; urgency=medium

  * removed the recommendation expeyes -> qtiplot

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Sep 2025 19:19:59 +0200

expeyes (5.3.3+repack-2) unstable; urgency=medium

  * merged Carles Pina i Estany's translations, thanks! Closes: #1104103

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Apr 2025 15:58:32 +0200

expeyes (5.3.3+repack-1) unstable; urgency=medium

  * dependency change: libjs-bootstrap -> libjs-bootstrap5. Closes: #1088452
  * New upstream version 5.3.3+repack, which takes bootstrap5 in account
  * removed the patch syntax-warning.patch, which was applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 Dec 2024 17:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-pil.imagetk,
  tix,  python3-tk, udev
 Recommends: python3-numpy, python3-scipy,
- expeyes-web, qtiplot, python3-pygrace,
+ expeyes-web, python3-pygrace,
  expeyes-doc-en | expeyes-doc
 Suggests: firm-phoenix-ware
 Description: hardware & software framework for developing science experiments

## expeyes 5.3.4%2Brepack

=== eyesjunior/helpFiles/Makefile ===
DESTDIR =
LANGUAGES = $(shell find . -mindepth 1 -maxdepth 1 -type d | grep -Ev "pics|schematics|xcircuit")
CORES = -j4
# try to take a timestamp from ../../debian/changelog and if that fails
# replace by 1584377500, which is near 2020-1016 17:00 UTC
export SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -l ../../debian/changelog -STimestamp 2>/dev/null || echo 1584377500)

all:
	./prepareHTML . $(LANGUAGES)
	for l in $(LANGUAGES); do \
	  [ -d $$l/_sources/_static ] || mkdir $$l/_sources/_static; \
	  echo "====| RST => HTML for language $$l |===="; \
	  make $(CORES) -C $$l all; \
	done

userManual:
	for l in $(LANGUAGES); do \
	  echo "====| RST => PDF for language $$l |===="; \
	  make $(CORES) -C $$l latexpdf; \
	  echo "====| RST => EPUB for language $$l |===="; \
	  make $(CORES) -C $$l epub; \
	done


clean:
	for l in $(LANGUAGES); do \
	  $(MAKE) -C $$l clean; \
	done

install: all
	mkdir -p $(DESTDIR)/usr/share/eyesj/helpFiles
	cp -a $(LANGUAGES) pics schematics $(DESTDIR)/usr/share/eyesj/helpFiles

.PHONY: all clean install userManual

=== debian/changelog ===
expeyes (5.3.4+repack-1) unstable; urgency=medium

  * New upstream version 5.3.4+repack
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 09:53:47 +0200

expeyes (5.3.3+repack-4) unstable; urgency=medium

  * changed the icon for microhope-doc's desktop file and removed the
    dependency microhope -> gnome-icon-theme. Closes: #1117084
  * bumped Standards-Version: 4.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Oct 2025 23:33:19 +0200

=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack" \
https://github.com/expeyes/expeyes-programs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## expeyes 5.3.4+repack

=== bin/Makefile ===
DESTDIR=
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: expeyes.1 expeyes-junior.1 eyes17.1 eyes17-doc.1 \
  expeyes-doc.1 expeyes-progman-jr-doc.1

expeyes.1: expeyes-man.xml
	$(XP) $(DB2MAN) $<

expeyes-junior.1: expeyes-junior-man.xml
	$(XP) $(DB2MAN) $<

eyes17.1: eyes17-man.xml
	$(XP) $(DB2MAN) $<

eyes17-doc.1: eyes17-doc-man.xml
	$(XP) $(DB2MAN) $<

expeyes-doc.1: expeyes-doc.xml
	$(XP) $(DB2MAN) $<

expeyes-progman-jr-doc.1: expeyes-progman-jr-doc.xml
	$(XP) $(DB2MAN) $<

clean:
	rm -f *~

install:
	install -d $(DESTDIR)/usr/share/man/man1
	gzip -c9 expeyes.1 > $(DESTDIR)/usr/share/man/man1/expeyes.1.gz
	gzip -c9 expeyes-junior.1 > $(DESTDIR)/usr/share/man/man1/expeyes-junior.1.gz
	gzip -c9 eyes17.1 > $(DESTDIR)/usr/share/man/man1/eyes17.1.gz
	gzip -c9 eyes17-doc.1 > $(DESTDIR)/usr/share/man/man1/eyes17-doc.1.gz
	gzip -c9 expeyes-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-doc.1.gz
	rm -f $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	ln -s expeyes-doc.1.gz $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	gzip -c9 expeyes-progman-jr-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-progman-jr-doc.1.gz
	install -d $(DESTDIR)/usr/bin
	install -m 755 expeyes $(DESTDIR)/usr/bin
	install -m 755 expeyes-junior $(DESTDIR)/usr/bin
	install -m 755 eyes17 $(DESTDIR)/usr/bin
	install -m 755 eyes17-doc $(DESTDIR)/usr/bin
	install -m 755 expeyes-doc $(DESTDIR)/usr/bin
	install -m 755 expeyes-progman-jr-doc $(DESTDIR)/usr/bin
	rm -f $(DESTDIR)/usr/bin/expeyes-junior-doc
	ln -s expeyes-doc $(DESTDIR)/usr/bin/expeyes-junior-doc

.PHONY: all clean install

=== firmware/Makefile ===
DESTDIR =
INSTALLABLE_FILES = compile.sh go mca-test.py test.py \
                    eyes.c go-mca mca.c set_fuse.sh upload.sh \
                    eyes.hex mca.hex

all: eyes.hex mca.hex

eyes.hex: eyes.c
	./compile.sh eyes

mca.hex: mca.c
	./compile.sh mca

clean:
	rm -f *~ *.hex eyes mca

install: all
	install -d $(DESTDIR)/usr/share/expeyes/firmware
	install -m 644 $(INSTALLABLE_FILES) $(DESTDIR)/usr/share/expeyes/firmware

.PHONY: all clean install

=== eyes17/helpFiles/Makefile ===
DESTDIR =
LANGUAGES_WITH_MANUAL = en es fr ml
LANGUAGES = $(shell find . -mindepth 1 -maxdepth 1 -type d | grep -Ev "pics|schematics|xcircuit|cache")
LANGUAGES_HTMLDONE = $(patsubst %, %/html-done, $(LANGUAGES))

LANGUAGES_PDFDONE = $(patsubst %, %/pdf-done, $(LANGUAGES_WITH_MANUAL))
LANGUAGES_EPUBDONE = $(patsubst %, %/epub-done, $(LANGUAGES_WITH_MANUAL))

# try to take a timestamp from ../../debian/changelog and if that fails
# replace by 1584377500, which is near 2020-1016 17:00 UTC
export SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -l ../../debian/changelog -STimestamp 2>/dev/null || echo 1584377500)

all: fixTheLinks $(LANGUAGES_HTMLDONE)

fixTheLinks:
	./prepareHTML . $(LANGUAGES)

%/html-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	[ -d $$l/_sources/_static ] || mkdir $$l/_sources/_static; \
	echo "====| RST => HTML for language $$l |===="; \
	$(MAKE) -C $$l all; \
	date > $@

userManual: $(LANGUAGES_PDFDONE) $(LANGUAGES_EPUBDONE)

%/pdf-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	echo "====| RST => PDF for language $$l |===="; \
	$(MAKE) -C $$l latexpdf; \
	date > $@

%/epub-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	echo "====| RST => EPUB for language $$l |===="; \
	$(MAKE) -C $$l epub; \
	date > $@


clean:
	rm -f $(LANGUAGES_PDFDONE) $(LANGUAGES_EPUBDONE)
	rm -rf cache/
	for l in $(LANGUAGES); do \
	  rm -f $$l/pdf-done $$l/html-done $$l/epub-done; \
	  rm -rf $$l/_sources/__pycache__; \
	  $(MAKE) -C $$l clean; \
	done

install: all
	mkdir -p $(DESTDIR)/usr/share/eyes17/helpFiles
	cp -a $(LANGUAGES) pics schematics $(DESTDIR)/usr/share/eyes17/helpFiles

.PHONY: all clean install userManual fixTheLinks

=== eyes17/lang/Makefile ===
DESTDIR =
TS_FILES = $(wildcard *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(wildcard ../*py ../code/*.py)
FORMS = $(wildcard ../layouts/*.ui)
# pylupdate6 cannot tale a .pro file
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 eyes17.pro > lrelease.log
	python3 makeStats.py lrelease.log

$(TS_FILES): eyes17.pro
	LANG=en_US.UTF-8 $(PYLUPDATE) eyes17.pro

eyes17.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyes17.pro lrelease.log *.svg status.txt

install: all
	install -d $(DESTDIR)/usr/share/eyes17/lang
	install -m 644 $(QM_FILES) status.txt $(DESTDIR)/usr/share/eyes17/lang

.PHONY: all clean install

=== eyes17/layouts/Makefile ===
PYUIC?=pyuic5
PYRCC?=pyrcc5
PY_VERSION ?= 3

UI_FILES = $(wildcard *.ui)
RC_FILES = $(wildcard *.qrc)

UI_COMPILED = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_COMPILED = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

ifeq ($(PY_VERSION),3)
	ifneq (,$(findstring pyrcc4,$(PYRCC)))
		override PYRCC += -py3
	endif
endif
$(info PYRCC=$(PYRCC))

 
all: $(UI_COMPILED) $(RC_COMPILED)

install:
	echo "Nothing to install, except when a debian package is built;"
	echo "then the install will be managed by the packaging system."

clean:
	rm -f $(UI_COMPILED) $(RC_COMPILED)
	rm -rf *.pyc *~ __pycache__

ui_%.py:  %.ui
	$(PYUIC) --from-import $< -o $@


%_rc.py: %.qrc
	$(PYRCC) $< -o $@

.PHONY: all clean install

=== eyes17/lo_plugin/Makefile ===
OXT = eyes17.oxt
DESTDIR =

all:

clean:
	find . -name "*~" | xargs rm -f
	find . -type d -name __pycache__ | xargs rm -rf

$(OXT): clean
	rm -f $(OXT)
	cd eyes17; zip -r ../$(OXT) .

install: all
	cp -Rd eyes17 $(DESTDIR)/usr/lib/libreoffice/share/extensions/

uninstall :
	rm -rf $(DESTDIR)/usr/lib/libreoffice/share/extensions/eyes17

try:
	if python3 -m py_compile eyes17/python/eyes17.py; then \
	  $(MAKE) install; \
	  lowriter; \
	  true; \
	fi

.PHONY: all clean install try

=== eyesjunior/lang/Makefile ===
DESTDIR =
TS_FILES = $(wildcard *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(wildcard ../*py ../code/*.py)
FORMS = $(wildcard ../layouts/*.ui)
PYLUPDATE ?= pylupdate6

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 eyesj.pro

$(TS_FILES): eyesj.pro
	$(PYLUPDATE) eyesj.pro

eyesj.pro: $(SOURCES)
	echo "# GENERATED FILE, DO NOT EDIT" > $@
	echo "SOURCES = $(SOURCES)" >> $@
	echo "FORMS = $(FORMS)" >> $@
	echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyesj.pro

install:

.PHONY: all clean install

=== kuttyPy/firmware/Makefile ===
all:

firmware:
	./compile.sh kuttyPy

=== microhope/firmware/Makefile ===
# Makefile for ATmegaBOOT
# E.Lins, 18.7.2005
# $Id$
#
# Instructions
#
# To make bootloader .hex file:
# make diecimila
# make lilypad
# make ng
# etc...
#
# To burn bootloader .hex file:
# make diecimila_isp
# make lilypad_isp
# make ng_isp
# etc...

# program name should not be changed...
PROGRAM    = Bootloader

# enter the parameters for the avrdude isp tool
ISPTOOL	   = avrisp2
ISPPORT	   = /dev/tty.PL2303-00001004
ISPSPEED   = -b 115200

MCU_TARGET = atmega168
LDSECTION  = --section-start=.text=0x3800

# the efuse should really be 0xf8; since, however, only the lower
# three bits of that byte are used on the atmega168, avrdude gets
# confused if you specify 1's for the higher bits, see:
# http://tinker.it/now/2007/02/24/the-tale-of-avrdude-atmega168-and-extended-bits-fuses/
#
# similarly, the lock bits should be 0xff instead of 0x3f (to
# unlock the bootloader section) and 0xcf instead of 0x0f (to
# lock it), but since the high two bits of the lock byte are
# unused, avrdude would get confused.

ISPFUSES    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-e -u -U lock:w:0x3f:m  -U hfuse:w:0x$(HFUSE):m -U lfuse:w:0x$(LFUSE):m
# -U efuse:w:0x$(EFUSE):m
ISPFLASH    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-U flash:w:$(PROGRAM)_$(TARGET).hex -U lock:w:0x0f:m

STK500 = "C:\Program Files\Atmel\AVR Tools\STK500\Stk500.exe"
STK500-1 = $(STK500) -e -d$(MCU_TARGET) -pf -vf -if$(PROGRAM)_$(TARGET).hex \
-lFF -LFF -f$(HFUSE)$(LFUSE) -EF8 -ms -q -cUSB -I200kHz -s -wt
STK500-2 = $(STK500) -d$(MCU_TARGET) -ms -q -lCF -LCF -cUSB -I200kHz -s -wt


OBJ        = $(PROGRAM).o
OPTIMIZE   = -O2

DEFS       = 
LIBS       =

CC         = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) -DF_CPU=$(AVR_FREQ) $(DEFS)
override LDFLAGS       = -Wl,$(LDSECTION)
#override LDFLAGS       = -Wl,-Map,$(PROGRAM).map,$(LDSECTION)

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all: atmega32

lilypad: TARGET = lilypad
lilypad: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
lilypad: AVR_FREQ = 8000000L
lilypad: $(PROGRAM)_lilypad.hex

lilypad_isp: lilypad
lilypad_isp: TARGET = lilypad
lilypad_isp: HFUSE = DD
lilypad_isp: LFUSE = E2
lilypad_isp: EFUSE = 00
lilypad_isp: isp

lilypad_resonator: TARGET = lilypad_resonator
lilypad_resonator: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=3'
lilypad_resonator: AVR_FREQ = 8000000L
lilypad_resonator: $(PROGRAM)_lilypad_resonator.hex

lilypad_resonator_isp: lilypad_resonator
lilypad_resonator_isp: TARGET = lilypad_resonator
lilypad_resonator_isp: HFUSE = DD
lilypad_resonator_isp: LFUSE = C6
lilypad_resonator_isp: EFUSE = 00
lilypad_resonator_isp: isp

pro8: TARGET = pro_8MHz
pro8: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro8: AVR_FREQ = 8000000L
pro8: $(PROGRAM)_pro_8MHz.hex

pro8_isp: pro8
pro8_isp: TARGET = pro_8MHz
pro8_isp: HFUSE = DD
pro8_isp: LFUSE = C6
pro8_isp: EFUSE = 00
pro8_isp: isp

pro16: TARGET = pro_16MHz
pro16: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro16: AVR_FREQ = 16000000L
pro16: $(PROGRAM)_pro_16MHz.hex

pro16_isp: pro16
pro16_isp: TARGET = pro_16MHz
pro16_isp: HFUSE = DD
pro16_isp: LFUSE = C6
pro16_isp: EFUSE = 00
pro16_isp: isp

pro20: TARGET = pro_20mhz
pro20: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro20: AVR_FREQ = 20000000L
pro20: $(PROGRAM)_pro_20mhz.hex

pro20_isp: pro20
pro20_isp: TARGET = pro_20mhz
pro20_isp: HFUSE = DD
pro20_isp: LFUSE = C6
pro20_isp: EFUSE = 00
pro20_isp: isp

diecimila: TARGET = diecimila
diecimila: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1'
diecimila: AVR_FREQ = 16000000L 
diecimila: $(PROGRAM)_diecimila.hex

diecimila_isp: diecimila
diecimila_isp: TARGET = diecimila
diecimila_isp: HFUSE = DD
diecimila_isp: LFUSE = FF
diecimila_isp: EFUSE = 00
diecimila_isp: isp

ng: TARGET = ng
ng: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
ng: AVR_FREQ = 16000000L
ng: $(PROGRAM)_ng.hex

ng_isp: ng
ng_isp: TARGET = ng
ng_isp: HFUSE = DD
ng_isp: LFUSE = FF
ng_isp: EFUSE = 00
ng_isp: isp

atmega328: TARGET = atmega328
atmega328: MCU_TARGET = atmega328p
atmega328: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' -DBAUD_RATE=57600
atmega328: AVR_FREQ = 16000000L 
atmega328: LDSECTION  = --section-start=.text=0x7800
atmega328: $(PROGRAM)_atmega328.hex

atmega328_isp: atmega328
atmega328_isp: TARGET = atmega328
atmega328_isp: MCU_TARGET = atmega328p
atmega328_isp: HFUSE = DA
atmega328_isp: LFUSE = FF
atmega328_isp: EFUSE = 05
atmega328_isp: isp

atmega32: TARGET = atmega32
atmega32: MCU_TARGET = atmega32
atmega32: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' 
atmega32: AVR_FREQ = 8000000L 
atmega32: LDSECTION  = --section-start=.text=0x7300
atmega32: $(PROGRAM)_atmega32.hex

atmega32_isp: atmega32
atmega32_isp: TARGET = atmega32
atmega32_isp: MCU_TARGET = atmega32
atmega32_isp: HFUSE = DA
atmega32_isp: LFUSE = FF
atmega32_isp: isp


isp: $(TARGET)
	$(ISPFUSES)
	$(ISPFLASH)

isp-stk500: $(PROGRAM)_$(TARGET).hex
	$(STK500-1)
	$(STK500-2)

%.elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o *.elf *.lst *.map *.sym *.lss *.eep *.srec *.bin *.hex

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

=== microhope/microhope-doc/Makefile ===
DESTDIR =
SOURCES = $(wildcard *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING = LaTeX Warning: Label(s) may have changed. Rerun
DOCDIR = $(DESTDIR)/usr/share/microhope/doc

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all:

touch-existing-pdf:
	for f in $$(ls *.pdf); do touch $$f; done

manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1

../create-microhope-env.1: ../create-microhope-env.xml
	cd ..; $(XP) $(DB2MAN) create-microhope-env.xml

../microhope.1: ../microhope.xml
	cd ..; $(XP) $(DB2MAN) microhope.xml

../uhope.1: ../uhope.xml
	cd ..; $(XP) $(DB2MAN) uhope.xml

microhope-doc.1: microhope-doc.xml
	$(XP) $(DB2MAN) $<

microhope-en.pdf: $(PDFS)
	cp microhope.pdf $@

install: all
	mkdir -p $(DOCDIR)
	install -m 644 microhope-en.pdf  $(DOCDIR)/

%.pdf: %.lyx
	@echo -n "Exporting $< to a LaTeX file ... "
	@lyx -e latex -userdir . $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	[ -f ../../keep-expeyes-tex ] || rm -f *.tex
	rm -rf *~ *.aux *.log *.toc *.lof *.lst cache lyxrc.*

distclean: clean
	[ -e ../../keep-expeyes-docs  ] || rm -f $(PDFS) microhope-*.pdf
	rm -f pics/*.eps

.PHONY: clean distclean all manpages install touch-existing-pdf

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  graphicsmagick,
  locales,
  pyqt6-dev-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://expeyes.in/
 Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
 Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
@@ -163,7 +163,6 @@
 Architecture: all
 Depends: ${python3:Depends},
  ${misc:Depends},
- gnome-icon-theme,
  python3-wxgtk4.0,
  python3-serial
 Recommends: gnome-human-icon-theme,

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf expeyes.egg-info/
 	# the clean process compiles a few Python scripts
 	find . -name __pycache__ | xargs rm -rf
 	rm -rf $(BUILD_DIR)
